Subject: Re: [Int-area] EIP and IP version number assignments

From: Mykyta Yevstifeyev <[email-masked]>
Date: Sun, 16 Jan 2011 08:28:33 +0200

Hello all,

I'd like to ask an advice about one my idea that, I think, it in the 
scope of intarea WG.

So, while looking trough the IP version numbers registry, I noticed that 
there is no mentioning the EIP (http://tools.ietf.org/html/rfc1385) 
there 
(http://www.iana.org/assignments/version-numbers/version-numbers.xhtml) 
in spite of being an alternative version of IP.  So I propose that there 
should be created a document that will assign the IP version number to 
EIP, that. in accordance with RFC 2780, should be Standards Track doc.

So I am asking whether there is an interest (and maybe consensus) of 
community regarding this problem.

All the best,
Mykyta Yevstifeyev

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Mon, 17 Jan 2011 11:19:34 +0200

Joel,

Let me cite RFC 1385:

  Version:  4 bits

     The Version field is identical to that of IP. This field is set
     purely for compatibility with IP hosts. It is not checked by EIP
     hosts.

This says that the definition of the field can be found in IP
specification.  Despite EIP makes no use of this field it should be
formally specified.  Even if te protocol is not used.  Moreover, there
are many entries in the registry mentioned that identify 'never-used'
protocols.  But if there is such RFC, defining this protocol, even if
it is useless, we should define the apprpriate entry for it.  It is
the history of the Internet, and we should respect it.

Mykyta

2011/1/16, Joel M. Halpern <[email-masked]>:
> Why would you bother?
> EIP is not used.
> Also, there is no version number to list for it.  EIP frames used
> version number 4, according to the RFC.
>
> So there appears to be no value in such a registration, and nothing to
> register.
>
> Yours,
> Joel M. Halpern
>
> On 1/16/2011 1:28 AM, Mykyta Yevstifeyev wrote:
>> Hello all,
>>
>> _______________________________________________
>> Int-area mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/int-area
>

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Mon, 17 Jan 2011 19:49:14 +0200

17.01.2011 17:31, Joel M. Halpern wrote:
> Given that it is using the same value as is currently assigned (i.e. 
> it was using version number 4), recording it in the registry would be 
> actively misleading.
> It would lead people to expect that they could see IPv4 packets with 
> this protocol.  They won't.  It would lead people to think it was 
> legitimate to generate, in production contexts, packets for this 
> protocol using an IP version number of 4.  That is not what the 
> experimental RFC says.
>
> I can not imagine any researcher in the world being helped by adding 
> such a registry entry, and I can easily imagine some junior 
> researchers being confused by it.
>
> What problem are you trying to solve here?
> Accuracy as a theoretical good is fine.  But you are asking for 
> practical action.  And as a practical action, this is a negative, not 
> a positive.
Maybe not only accuracy.  Let's assume that this protocol is used 
somewhere.  If it carries the values 4 for Version, this will lead to 
misunderstanding what the packet entity is by many systems (first of 
all, middle-boxes).  Not registering the version number to EIP was a 
mistake made during the creation of appropriate registry.  And I'm 
trying to correct it.

Mykyta
>
> Yours,
> Joel M. Halpern
>
> On 1/17/2011 4:19 AM, Mykyta Yevstifeyev wrote:
>> Joel,
>>
>> Let me cite RFC 1385:
>>
>>    Version:  4 bits
>>
>> 2011/1/16, Joel M. Halpern<[email-masked]>:
>>> Why would you bother?
>>> EIP is not used.

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Mon, 17 Jan 2011 20:04:30 +0200

17.01.2011 19:53, Joel M. Halpern wrote:
> Registering this value will not actually avoid the problem of confusion.
> In the VERY unlikely case that this is being used somewhere, the 
> version number is still confusing (the initial design choices was, in 
> hindsight, a mistake.)
In spite of this, even though it is not expected to be used anywhere, 
this protocol *exists* as well as other alternative versions of IP, such 
as TP/IX or PIP, that are very unlikely used too, but are supplied with 
IP version number.  If the spec and protocols exists et al, the 
appropriate value in the registry should be requested for it.

All the best,
Mykyta Yevstifeyev
>
> Secondarily, the protocol is so rare that no firewall or packet 
> processing vendor is going to bother to put this in their product.
>
> Yours,
> Joel
>
> On 1/17/2011 12:49 PM, Mykyta Yevstifeyev wrote:
>>> practical action. And as a practical action, this is a negative, not a
>>> positive.
>> mistake made during the creation of appropriate registry. And I'm trying
>> to correct it.
>>
>> Mykyta
>>>
>>> Yours,
>>> Joel M. Halpern
>>>